Bug 9088 - В Joliet проблемы с названиями в UTF-8
: В Joliet проблемы с названиями в UTF-8
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mkisofs)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 9199
  Show dependency tree
 
Reported: 2006-02-16 11:33 by
Modified: 2008-01-08 22:49 (History)


Attachments
Joliet problem (16.59 KB, patch)
2006-03-25 06:49, avd
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-02-16 11:33:15
В новой сборке mkisofs при записи из локали UTF-8  
или при явной указании utf8 или при явном указании  
iso-8859-1 названия файлов в расширении Joliet 
не перекодируются из UTF-8 в Unicode16
------- Comment #1 From 2006-03-04 01:10:29 -------
Меняется ли поведение при отключении libnatspec?
------- Comment #2 From 2006-03-04 12:35:11 -------
(Естественно) нет. 
Прошу заметить, что natspec не участвует при _явном_ указании кодировки. 
------- Comment #3 From 2006-03-12 01:30:37 -------
Начал переписывать с использованием iconv. 
------- Comment #4 From 2006-03-25 06:49:57 -------
Created an attachment (id=1440) [details]
Joliet problem
------- Comment #5 From 2006-03-25 07:15:24 -------
(In reply to comment #4)
> Created an attachment (id=1440) [edit] [details]
> Joliet problem
> 

http://prometheus.cs.wmich.edu/gentoo/rsync/app-cdr/cdrtools/files/mkisofs-iconv-10.patch
------- Comment #6 From 2006-09-07 00:49:31 -------
Fixed in cdrtools-2.01.01-alt2a03.